Get all report forecasts
curl --request GET \
--url https://api.vantage.sh/v2/report_forecasts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/report_forecasts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/report_forecasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/report_forecasts?cost_report_token=rprt_fd7190753bb1ce4a",
"first": "https://api.vantage.sh/v2/report_forecasts?cost_report_token=rprt_fd7190753bb1ce4a&page=1",
"next": null,
"last": "https://api.vantage.sh/v2/report_forecasts?cost_report_token=rprt_fd7190753bb1ce4a&page=1",
"prev": null
},
"report_forecasts": [
{
"token": "rprt_frcst_b6fc93cfbe7bb782",
"title": "Board Plan",
"cost_report_token": "rprt_fd7190753bb1ce4a",
"scenario_model_tokens": [
"frcst_mdl_998be85cff4d0574"
],
"business_metric_token": null,
"is_default": false,
"created_by_token": "usr_9be7c063f1529dff",
"created_at": "2026-07-28T15:37:51Z",
"updated_at": "2026-07-28T15:37:51Z"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ReportForecasts
Get all report forecasts
Return all scenario-model ReportForecasts for a CostReport.
GET
/
report_forecasts
Get all report forecasts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I